package com.muyu.product.domain.req;

import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

/**
 * @ClassName CategoryReq
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/3/5/0005 12:35
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryReq {
    /** 主键 */
    private Long id;

    /** 品类名称 */
    private String name;

    /** 图片 */
    private String image;

    /** 父级品类 */
    private Long parentId;

    /** 是否启用 */
    private String status;

    /** 说明 */
    private String remark;
    private String createBy;
    private Date createTime;

    private List<Long> checkedAttributeIds;

    private List<Long> attributeGroupIds;

    private List<Long> brandIds;



}
