package com.muyu.product.service;

import java.util.List;
import com.muyu.product.domain.RuleAttr;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * Service接口
 *
 * @author muyu
 * @date 2024-03-07
 */
public interface RuleAttrService extends IService<RuleAttr>
{
    /**
     * 查询
     *
     * @param id 主键
     * @return 
     */
    RuleAttr selectRuleAttrById(Long id);

    /**
     * 查询列表
     *
     * @param ruleAttr 
     * @return 集合
     */
    List<RuleAttr> selectRuleAttrList(RuleAttr ruleAttr);

    /**
     * 新增
     *
     * @param ruleAttr 
     * @return 结果
     */
    int insertRuleAttr(RuleAttr ruleAttr);

    /**
     * 修改
     *
     * @param ruleAttr 
     * @return 结果
     */
    int updateRuleAttr(RuleAttr ruleAttr);

    /**
     * 批量删除
     *
     * @param ids 需要删除的主键集合
     * @return 结果
     */
    int deleteRuleAttrByIds(Long[] ids);

    /**
     * 删除信息
     *
     * @param id 主键
     * @return 结果
     */
    int deleteRuleAttrById(Long id);
}
