package com.muyu.product.domain.demo;

import com.muyu.product.domain.Attribute;
import com.muyu.product.domain.AttributeGroup;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @ClassName Product
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/3/6/0006 14:12
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class Product {
    /**
     * 属性组
     */
    private List<AttributeGroup> attributeGroupList;
    /**
     * 属性
     */
    private List<Attribute> attributeList;
    /**
     * 自有属性
     */
    private List<Attribute> selfAttributeList;
}
